/* $Header: /CVSROOT/debris/cmds/append.c,v 1.1 2005/08/13 22:59:12 tino Exp $
 *
 * DebRIS: DEBian Remote Install Scripter
 * *append <file> {data}
 *
 * $Log: append.c,v $
 * Revision 1.1  2005/08/13 22:59:12  tino
 * additional functions, see ChangeLog
 *
 */

static int
driscmd_append(char *args)
{
  int	fd;

  if ((fd=open(args, O_APPEND))<0)
    return err("append: cannot create %s", args);
  if (writeall(fd, config.in->buf+config.data, config.in->len-config.data))
    return err("append: cannot write to %s", args);
  if (close(fd))
    return err("append: cannot close %s", args);
  
  return 0;
}
